## powerdevil 6.2.5

=== debian/changelog ===
powerdevil (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:25:04 +0100

powerdevil (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:40:40 +0100

powerdevil (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:38 +0100

powerdevil (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 21:26:08 +0200

powerdevil (4:6.2.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add Breaks+Replaces for powerdevil-data against plasma-workspace-
    data.

 -- Patrick Franz <deltaone@debian.org>  Thu, 10 Oct 2024 17:35:45 +0200

powerdevil (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * Improve package descriptions.
  * Update the list of installed files.
  * Add lintian override for description formatting.
  * Review copyright information.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.
  * Tighten inter-Plasma package dependencies.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:52 +0200

powerdevil (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.
  * Tighten Plasma packages inter-dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:31 +0200

powerdevil (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.
  * Recommend power-profiles-daemon (thanks to Alexander Volkov).
  * Drop Multi-Arch: same from powerdevil-dev, it depends on powerdevil which
    cannot be made multi-arch coinstallable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:29 +0200
