## powerdevil 6.2.90

=== debian/changelog ===
powerdevil (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 09:03:05 +0000

powerdevil (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:05:38 +0000

powerdevil (4:6.2.4-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 08 Dec 2024 18:10:25 -0600

powerdevil (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:16:49 +0000

powerdevil (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * Update build depends.
  * Update install files.
  * Add powerdevil-data breaks/replaces plasma-workspace-data (<<
    4:6.2.0~) for moved files.
  * Also powerdevil breaks/replaces plasma-workspace (<< 4:6.2.0~).
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 20:00:36 +0000
