=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libcap-dev,
               libcap2-bin,
               libddcutil-dev,
               libkf6auth-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6doctools-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6idletime-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6runner-dev (>= 6.10.0~),
               libkf6solid-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkf6xmlgui-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libkscreen-dev (>= 4:6.2.90~),
               libplasmaactivities-dev (>= 6.2.90~),
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dpms0-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.16.0~),
               plasma-workspace-dev (>= 4:6.2.90~),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.7.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/powerdevil
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
Rules-Requires-Root: no

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: Global power saver settings ui library
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: powerdevil
Architecture: any
Depends: libcap2-bin [linux-any],
         powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings, power-profiles-daemon,
Breaks: plasma-workspace (<< 4:6.2.0~),
Replaces: plasma-workspace (<< 4:6.2.0~),
Description: Global power saver settings
 Power Devil allows you to define your all power settings.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Breaks: plasma-workspace-data (<< 4:6.2.0~),
Replaces: plasma-workspace-data (<< 4:6.2.0~),
Description: Global power saver settings data files
 Power Devil allows you to define your all power settings.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends},
Multi-Arch: same
Description: Global power saver settings
 Power Devil allows you to define your all power settings.
 .
 This package contains the development files.
