## powerdevil 6.3.0

=== debian/changelog ===
powerdevil (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:08:02 +0100

powerdevil (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 24 Jan 2025 00:36:04 +0100

powerdevil (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from the build logs.
  * Refresh copyright information.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Jan 2025 00:49:54 +0100
