## powerdevil 6.3.2

=== debian/changelog ===
powerdevil (4:6.3.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Move app metadata to the main package.
  * Add missing Breaks/Replaces against plasma-workspace (<< 4:6.2.0-1~).
    (Closes: #1101113)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 24 Mar 2025 22:16:15 +0100

powerdevil (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 01:02:03 +0100
