=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
                libkirigami-dev (>= 6.10.0~),
                libkscreen-dev (>= 4:6.2.90~),
                liblayershellqtinterface-dev (>= 6.2.90~),
-               libplasma-dev (>= 6.3.0~),
-               libplasmaactivities-dev (>= 6.3.0~),
+               libplasma-dev (>= 6.3.2~),
+               libplasmaactivities-dev (>= 6.3.2~),
                libudev-dev,
                libwayland-dev,
                libx11-dev,
@@ -45,7 +45,7 @@
                libxrandr-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.16~),
-               plasma-workspace-dev (>= 4:6.3.0~),
+               plasma-workspace-dev (>= 4:6.3.2~),
                qcoro-qt6-dev,
                qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
@@ -73,6 +73,10 @@
          powerdevil-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: plasma-workspace (<< 4:6.2.0-1~),
+        powerdevil-data (<< 4:6.3.2-2~),
+Replaces: plasma-workspace (<< 4:6.2.0-1~),
+          powerdevil-data (<< 4:6.3.2-2~),
 Recommends: power-profiles-daemon, systemsettings,
 Description: KDE power management service for Plasma
  PowerDevil is the internal name of the KDE power management service
