=== daemon/actions/CMakeLists.txt ===
add_subdirectory(bundled)
