=== debian/control ===
--- 
+++ 
@@ -31,10 +31,10 @@
                libkf6windowsystem-dev (>= 6.10.0~),
                libkf6xmlgui-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
-               libkscreen-dev (>= 4:6.2.90~),
-               liblayershellqtinterface-dev (>= 6.2.90~),
-               libplasma-dev (>= 6.3.2~),
-               libplasmaactivities-dev (>= 6.3.2~),
+               libkscreen-dev (>= 4:6.3.4~),
+               liblayershellqtinterface-dev (>= 6.3.4~),
+               libplasma-dev (>= 6.3.4~),
+               libplasmaactivities-dev (>= 6.3.4~),
                libudev-dev,
                libwayland-dev,
                libx11-dev,
@@ -45,10 +45,10 @@
                libxrandr-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.16~),
-               plasma-workspace-dev (>= 4:6.3.2~),
+               plasma-workspace-dev (>= 4:6.3.4~),
                qcoro-qt6-dev,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/powerdevil
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/powerdevil
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/powerdevil.git
@@ -73,10 +73,8 @@
          powerdevil-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma-workspace (<< 4:6.2.0-1~),
-        powerdevil-data (<< 4:6.3.2-2~),
-Replaces: plasma-workspace (<< 4:6.2.0-1~),
-          powerdevil-data (<< 4:6.3.2-2~),
+Breaks: plasma-workspace (<< 4:6.2.0-1~), powerdevil-data (<< 4:6.3.2-2~),
+Replaces: plasma-workspace (<< 4:6.2.0-1~), powerdevil-data (<< 4:6.3.2-2~),
 Recommends: power-profiles-daemon, systemsettings,
 Description: KDE power management service for Plasma
  PowerDevil is the internal name of the KDE power management service
