## powerdevil 6.3.5

=== debian/changelog ===
powerdevil (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:37:00 +0100

powerdevil (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:59:27 +0100

powerdevil (4:6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:35 -0500

powerdevil (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:26:02 +0000

powerdevil (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - powerdevil Breaks/Replaces plasma-workspace (<< 4:6.2.0~).
    - Build depend on Plasma 6.3.2 -dev packages.
    - Install appstream metadata in main powerdevil package.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Mar 2025 13:10:18 +0000

powerdevil (4:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:19:12 +0000

powerdevil (4:6.3.1-0ubuntu2) plucky; urgency=high

  * Sync changes from 6.3.0-1

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Feb 2025 11:27:56 +0000

powerdevil (4:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:26:41 +0000

powerdevil (4:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:58:32 +0000

powerdevil (4:6.2.91-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Feb 2025 15:42:15 -0600

powerdevil (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:45:21 +0000
