=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: powerdevil
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libcap-dev,
@@ -31,10 +32,10 @@
                libkf6windowsystem-dev (>= 6.10.0~),
                libkf6xmlgui-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
-               libkscreen-dev (>= 4:6.3.4~),
-               liblayershellqtinterface-dev (>= 6.3.4~),
-               libplasma-dev (>= 6.3.4~),
-               libplasmaactivities-dev (>= 6.3.4~),
+               libkscreen-dev (>= 4:6.3.5~),
+               liblayershellqtinterface-dev (>= 6.3.5~),
+               libplasma-dev (>= 6.3.5~),
+               libplasmaactivities-dev (>= 6.3.5~),
                libudev-dev,
                libwayland-dev,
                libx11-dev,
@@ -45,13 +46,13 @@
                libxrandr-dev,
                pkgconf,
                plasma-wayland-protocols (>= 1.16~),
-               plasma-workspace-dev (>= 4:6.3.4~),
+               plasma-workspace-dev (>= 4:6.3.5~),
                qcoro-qt6-dev,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/powerdevil
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/powerdevil
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/powerdevil.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
 Rules-Requires-Root: no
 
 Package: libpowerdevilcore2
@@ -73,9 +74,9 @@
          powerdevil-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma-workspace (<< 4:6.2.0-1~), powerdevil-data (<< 4:6.3.2-2~),
-Replaces: plasma-workspace (<< 4:6.2.0-1~), powerdevil-data (<< 4:6.3.2-2~),
 Recommends: power-profiles-daemon, systemsettings,
+Breaks: plasma-workspace (<< 4:6.2.0~),
+Replaces: plasma-workspace (<< 4:6.2.0~),
 Description: KDE power management service for Plasma
  PowerDevil is the internal name of the KDE power management service
  for Plasma. It is responsible for some (but not all) interactions
